Make DSA_generate_parameters, and fix a couple of bug
(including another problem in the s3_srvr.c state machine).
diff --git a/test/testssl b/test/testssl
index 1d04b93..a88e290 100644
--- a/test/testssl
+++ b/test/testssl
@@ -66,6 +66,9 @@
echo test sslv2/sslv3 w/o DHE via BIO pair
./ssltest -bio_pair -no_dhe || exit 1
+echo test sslv2/sslv3 with 1024bit DHE
+./ssltest -bio_pair -dhe1024 -v || exit 1
+
echo test sslv2/sslv3 with server authentication
./ssltest -bio_pair -server_auth -CApath ../certs || exit 1